org.apache.pdfbox.pdmodel.graphics.blend

## Class BlendMode

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.blend.BlendMode

    public class BlendMode
    extends Object

Blend mode.

Author:
  Kühn & Weyh Software GmbH

### Nested Class Summary

Nested Classes
`static interface` `BlendMode.BlendChannelFunction`
`static interface` `BlendMode.BlendFunction`

### Field Summary

Fields
`static BlendMode` `COLOR`
`static BlendMode` `COLOR_BURN`
`static BlendMode` `COLOR_DODGE`
`static BlendMode` `COMPATIBLE`
`static BlendMode` `DARKEN`
`static BlendMode` `DIFFERENCE`
`static BlendMode` `EXCLUSION`
`static BlendMode` `HARD_LIGHT`
`static BlendMode` `HUE` Non-separable blend modes as defined in the PDF specification
`static BlendMode` `LIGHTEN`
`static BlendMode` `LUMINOSITY`
`static BlendMode` `MULTIPLY`
`static BlendMode` `NORMAL` Separable blend modes as defined in the PDF specification
`static BlendMode` `OVERLAY`
`static BlendMode` `SATURATION`
`static BlendMode` `SCREEN`
`static BlendMode` `SOFT_LIGHT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`BlendMode.BlendChannelFunction` `getBlendChannelFunction()` Returns the blend channel function, only available for separable blend modes.
`BlendMode.BlendFunction` `getBlendFunction()` Returns the blend function, only available for non separable blend modes.
`COSName` `getCOSName()` The blend mode name from the BM object.
`static BlendMode` `getInstance(COSBase cosBlendMode)` Determines the blend mode from the BM entry in the COS ExtGState.
`boolean` `isSeparableBlendMode()` Determines if the blend mode is a separable blend mode.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NORMAL

    public static final BlendMode NORMAL

Separable blend modes as defined in the PDF specification

#### COMPATIBLE

    public static final BlendMode COMPATIBLE

#### MULTIPLY

    public static final BlendMode MULTIPLY

#### SCREEN

    public static final BlendMode SCREEN

#### OVERLAY

    public static final BlendMode OVERLAY

#### DARKEN

    public static final BlendMode DARKEN

#### LIGHTEN

    public static final BlendMode LIGHTEN

#### COLOR_DODGE

    public static final BlendMode COLOR_DODGE

#### COLOR_BURN

    public static final BlendMode COLOR_BURN

#### HARD_LIGHT

    public static final BlendMode HARD_LIGHT

#### SOFT_LIGHT

    public static final BlendMode SOFT_LIGHT

#### DIFFERENCE

    public static final BlendMode DIFFERENCE

#### EXCLUSION

    public static final BlendMode EXCLUSION

#### HUE

    public static final BlendMode HUE

Non-separable blend modes as defined in the PDF specification

#### SATURATION

    public static final BlendMode SATURATION

#### COLOR

    public static final BlendMode COLOR

#### LUMINOSITY

    public static final BlendMode LUMINOSITY

### Method Detail

#### getCOSName

    public COSName getCOSName()

The blend mode name from the BM object.

Returns:
  name of blend mode.

#### isSeparableBlendMode

    public boolean isSeparableBlendMode()

Determines if the blend mode is a separable blend mode.

Returns:
  true for separable blend modes

#### getBlendChannelFunction

    public BlendMode.BlendChannelFunction getBlendChannelFunction()

Returns the blend channel function, only available for separable blend modes.

Returns:
  the blend channel function

#### getBlendFunction

    public BlendMode.BlendFunction getBlendFunction()

Returns the blend function, only available for non separable blend modes.

Returns:
  the blend function

#### getInstance

    public static BlendMode getInstance(COSBase cosBlendMode)

Determines the blend mode from the BM entry in the COS ExtGState.

Parameters:
  `cosBlendMode` - name or array
Returns:
  blending mode

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`